$.ajaxSetup({
    dataType: 'JSON',
    method: "POST",
    context : {type:null},
    beforeSend: function (jqXHR,settings) {
        App.loadingModal.show();
    },
    success: (function () {
         App.loadingModal.hide();
    })   
});
